Results 1 to 10 of 10

Thread: skype crash on suse 11

  1. #1
    Join Date
    Aug 2008
    Location
    Goa, India + Bern, Switzerland
    Posts
    8

    Default skype crash on suse 11

    Ich habe die Neuste Skype Version auf Suse 11 installiert. (skype-2.0.0.72-suse.i586.rpm in /home/RPM und dieses Verzeichniss als Repository eingetragen und mit yast installiert) Leider kann ich Skype nicht starten. Was kann ich noch ausprobieren?

  2. #2
    Join Date
    Mar 2008
    Location
    Bochum, Germany
    Posts
    3,587

    Default Re: skype crash on suse 11

    * naranala wrote, On 08/06/2008 01:56 PM:
    > Ich habe die Neuste Skype Version auf Suse 11 installiert.
    > (skype-2.0.0.72-suse.i586.rpm in /home/RPM und dieses Verzeichniss als
    > Repository eingetragen und mit yast installiert) Leider kann ich Skype
    > nicht starten. Was kann ich noch ausprobieren?
    >


    Ich mach mal auf Englisch weiter, weil das die meisten hier verstehen. Falls das ein Problem ist, sag es :-)

    Please open a console and run skype manually (not sure what the exact command is, check the command found in the icon properties). Any errors on the console?

    Uwe

  3. #3
    Join Date
    Aug 2008
    Location
    Goa, India + Bern, Switzerland
    Posts
    8

    Default Re: skype crash on suse 11

    Thx
    Whene I type Skype in the console I got the message: "Fatal: Cannot mix incompatible Qt libraries
    Abgebrochen"
    In the paketmanager it shows all dependencys are ok.
    I have a 64bit system with kde4.

  4. #4
    Join Date
    Mar 2008
    Location
    Bochum, Germany
    Posts
    3,587

    Default Re: skype crash on suse 11

    On 08/06/2008 naranala wrote:
    > Fatal: Cannot mix incompatible Qt libraries


    Please post the output of
    rpm -qa | grep qt (or maybe Qt)
    ldd /usr/bin/skype | grep -i Qt

    Looks like Skype expects older Qt libraries.

    Uwe



  5. #5
    Join Date
    Aug 2008
    Location
    Goa, India + Bern, Switzerland
    Posts
    8

    Default Re: skype crash on suse 11

    the output is:
    rpm -qa | grep qt
    qtcurve-gtk2-0.59.3-5.1
    libqt4-32bit-4.4.1-5.1
    libqt4-qt3support-4.4.1-5.1
    libpoppler-qt4-3-0.8.2-1.3
    libqt4-sql-4.4.1-5.1
    qt3-3.3.8b-42.1
    pinentry-qt-0.7.5-5.1
    yast2-qt-2.16.53-5.1
    yast2-control-center-qt-2.16.2-11.1
    libqt4-sql-32bit-4.4.0-12.2
    libqt4-x11-4.4.1-5.1
    qtpod-1.1-0.pm.3
    dbus-1-qt3-0.62-179.1
    qtcurve-kde-0.59.1-13.1
    libdbus-1-qt3-0-0.8.1-24.1
    libpoppler-qt2-0.8.2-1.3
    libqt4-4.4.1-5.1
    libqt4-sql-mysql-4.4.1-6.1
    yast2-qt-pkg-2.16.47-0.2
    libqt4-x11-32bit-4.4.0-12.2
    libqt4-qt3support-32bit-4.4.1-5.1
    and
    ldd /usr/bin/skype | grep -i Qt
    libQtDBus.so.4 => /usr/lib/libQtDBus.so.4 (0xf7dde000)
    libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0xf7693000)
    libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0xf75ca000)
    libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0xf7406000)
    libQtXml.so.4 => /usr/lib/libQtXml.so.4 (0xf6fe6000)

  6. #6
    Andrew C Taubman NNTP User

    Default Re: skype crash on suse 11

    The simplest way is to download the Skype static build, it has
    everything you need included.
    http://www.skype.com/go/getskype-linux-static Just extract it and place
    wherever you like, I use ~home/bin/skype
    --
    Andrew C Taubman
    Novell Support Forums Volunteer SysOp
    http://forums.novell.com/
    (Sorry, support is not provided via e-mail)

    Opinions expressed above are not
    necessarily those of Novell Inc.

  7. #7
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: skype crash on suse 11

    Sorry I don't have a solution but I also have the .72 version on x86_64 and it works fine. That incompatible Qt libraries message is mystifying. Only thing I can think if is are you using more recent KDE4 releases, like 4.1? I'm still using the standard KDE4 libraries from 11.0 (and updates thereof).

  8. #8
    Join Date
    Jun 2008
    Location
    Oklahoma, US
    Posts
    822

    Default Re: skype crash on suse 11

    ken yap wrote:

    >
    > Sorry I don't have a solution but I also have the .72 version on x86_64
    > and it works fine. That incompatible Qt libraries message is
    > mystifying. Only thing I can think if is are you using more recent KDE4
    > releases, like 4.1? I'm still using the standard KDE4 libraries from
    > 11.0 (and updates thereof).
    >
    >


    Do you have the 32bit versions of qt installed? The package you listed is a
    32bit version. Highly unlikely that it could be installed through rpm
    services without 32bit libraries, but it's worth a check.

    Loni

    --
    L R Nix
    lornix@lornix.com

  9. #9
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: skype crash on suse 11

    Quote Originally Posted by lornix View Post
    ken yap wrote:

    >
    > Sorry I don't have a solution but I also have the .72 version on x86_64
    > and it works fine. That incompatible Qt libraries message is
    > mystifying. Only thing I can think if is are you using more recent KDE4
    > releases, like 4.1? I'm still using the standard KDE4 libraries from
    > 11.0 (and updates thereof).
    >
    >


    Do you have the 32bit versions of qt installed? The package you listed is a
    32bit version. Highly unlikely that it could be installed through rpm
    services without 32bit libraries, but it's worth a check.

    Loni

    --
    L R Nix
    lornix@lornix.com
    Sure, my ldd shows the same 32-bit Qt dynamic libraries as his. I did a manual install of those 32-bit packages to satisfy dependencies. Works fine. In fact works so well that when I started it up to test that it hogged all the ALSA devices, despite that fact that it's set to use a USB handset, and interrupted a radio recording I was doing, so I lost that, Grrr I oughta complain to Skype about this. Not to worry, that program is repeated later today, I'll reschedule the recording.

  10. #10
    Join Date
    Aug 2008
    Location
    Goa, India + Bern, Switzerland
    Posts
    8

    Default Re: skype crash on suse 11

    After several problems with skype on my suse 11/64, kde4, I install suse 11 fresh with gnome desktop. Now skype starts with the login page and when I login, it starts whitout showing my contacts. Searching contacts is not working and when I want to do the audio configuration then it crashs. I have 2 soundcards installed: terratec phase88 and mainboard sound is a 82801 (ICH9 family) hd audio controller. Terratec phase88 is the primary soundcard it uses the 'snd-ice1712' driver. Strange that the sound output comes from the mainboard soundsystem and not from the terratec card. Now I think first I have to fix that sound issues then may skype will work? Help me please.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •